//
//  Constants.h
//  MailDelivery
//
//  Created by Dante Palacios on 9/28/09.
//  Copyright 2009 Dante Palacios. All rights reserved.
//

/*!
 @header Constants.h
 @discussion This header contains constants used by the framework. For more information, contact palacios.dante\@gmail.com.
 */

#import <Foundation/Foundation.h>


// Part keys

/*!
 @const kPartContentDispositionInline
 @discussion \@"inline".
 */

extern NSString *kPartContentDispositionInline;

/*!
 @const kPartContentDispositionAttachment
 @discussion \@"attachment".
 */

extern NSString *kPartContentDispositionAttachment;

/*!
 @const kPartContentTransferEncodingBase64
 @discussion \@"base64".
 */

extern NSString *kPartContentTransferEncodingBase64;

// Message format

/*!
 @const kPlainTextMessageFormat
 @discussion \@"text/plain", plain text message format.
 */

extern NSString *const kPlainTextMessageFormat;

/*!
 @const kHTMLMessageFormat
 @discussion \@"text/html", HTML message format.
 */

extern NSString *const kHTMLMessageFormat;

/*!
 @const kMultipartAlternativeMessageFormat
 @discussion \@"multipart/alternative", multipart alternative message format.
 */

extern NSString *const kMultipartAlternativeMessageFormat;

// DeliveryAccount keys

/*!
 @const kDeliveryAccountName
 @discussion \@"AccountName", NSString containing the name of the account.
 */

extern NSString *const kDeliveryAccountName;

/*!
 @const kDeliveryAccountHostName
 @discussion \@"Hostname", NSString containing the name of the host.
 */

extern NSString *const kDeliveryAccountHostName;

/*!
 @const kDeliveryAccountFullUserName
 @discussion \@"FullUserName", NSString containing the full name of the user.
 */

extern NSString *const kDeliveryAccountFullUserName;

/*!
 @const kDeliveryAccountEmailAddresses
 @discussion \@"EmailAddresses", NSArray of strings containing the email addresses of the account.
 */

extern NSString *const kDeliveryAccountEmailAddresses;

/*!
 @const kDeliveryAccountUserName
 @discussion \@"Username", NSString containing the user name of the account.
 */

extern NSString *const kDeliveryAccountUserName;

/*!
 @const kDeliveryAccountPassword
 @discussion \@"Password", NSString containing the password of the account.
 */

extern NSString *const kDeliveryAccountPassword;

/*!
 @const kDeliveryAccountAuthentication
 @discussion \@"AuthenticationScheme", NSString containing the preferred authentication scheme for account.
 */

extern NSString *const kDeliveryAccountAuthentication;

/*!
 @const kDeliveryAccountPort
 @discussion \@"PortNumber", NSNumber containing integer, the port of the account.
 */

extern NSString *const kDeliveryAccountPort;

/*!
 @const kDeliveryAccountUsesSSL
 @discussion \@"SSLEnabled", NSNumber containing bool, should use SSL.
 */

extern NSString *const kDeliveryAccountUsesSSL;

/*!
 @const kDeliveryAccountSSLSecurityLevel
 @discussion \@"SSLSecurityLevel", NSNumber containing integer, SSL security level.
 */

extern NSString *const kDeliveryAccountSSLSecurityLevel;


/*!
 @const kDeliveryAccountUsesDefaultPorts
 @discussion \@"UseDefaultPorts", NSNumber containing bool, should use defaults ports.
 */

extern NSString *const kDeliveryAccountUsesDefaultPorts;