/*
 NSAttributedStringAdditions.h
 MailDelivery
 
 Created by Dante Palacios on 03/09/09.
 Copyright 2009 Dante Palacios. All rights reserved.
 */

/*!
 @header NSAttributedStringAdditions.h
 @discussion This header contains some utility methods for the framework. Some of these methods may disappear or change their names without prior notice. For more information, contact palacios.dante\@gmail.com.
 */

#import <Foundation/Foundation.h>

/*!
 @category NSAttributedString(MailDeliveryAdditions)
 @abstract Additions to the class NSAttributedString.
 @discussion ...
 */

@interface NSAttributedString(MailDeliveryAdditions)

/*!
 @method HTMLString
 @abstract HTML string.
 */

- (NSString *)HTMLString;

/*!
 @method plainText
 @abstract plain text, diferent from <tt>string</tt>, specially if the instance contains attachments.
 */

- (NSString *)plainText;

/*!
 @method attachments
 @abstract an array of <tt>NSTextAttachment</tt> instances. The attachments of the receiver.
 */

- (NSArray *)attachments;

/*!
 @method parts
 @abstract .
 */

- (NSArray *)parts;

@end
